# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.awt
import typing


class SystemPointer(object):
    """
    Const

    specifies the shape of a mouse pointer.

    See Also:
        `API SystemPointer <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1awt_1_1SystemPointer.html>`_
    """
    ARROW: int = 0
    """
    specifies the normal arrow-like mouse pointer.
    """
    INVISIBLE: int = 1
    """
    specifies an invisible mouse pointer.
    """
    WAIT: int = 2
    """
    specifies a waiting symbol as a mouse pointer (for example hourglass).
    """
    TEXT: int = 3
    """
    specifies a mouse pointer for text (cursor-like).
    """
    HELP: int = 4
    """
    specifies a mouse pointer for on-line help.
    """
    CROSS: int = 5
    """
    specifies a cross as a mouse pointer.
    """
    MOVE: int = 6
    """
    specifies a mouse pointer which symbolizes movement.
    """
    NSIZE: int = 7
    """
    specifies a mouse pointer which symbolizes resizing for a top border.
    """
    SSIZE: int = 8
    """
    specifies a mouse pointer which symbolizes resizing for a bottom border.
    """
    WSIZE: int = 9
    """
    specifies a mouse pointer which symbolizes resizing for a left border.
    """
    ESIZE: int = 10
    """
    specifies a mouse pointer which symbolizes resizing for a right border.
    """
    NWSIZE: int = 11
    """
    specifies a mouse pointer which symbolizes resizing for the top-left corner.
    """
    NESIZE: int = 12
    """
    specifies a mouse pointer which symbolizes resizing for the top-right corner.
    """
    SWSIZE: int = 13
    """
    specifies a mouse pointer which symbolizes resizing for the bottom-left corner.
    """
    SESIZE: int = 14
    """
    specifies a mouse pointer which symbolizes resizing for the bottom-right corner.
    """
    WINDOW_NSIZE: int = 15
    """
    specifies a mouse pointer which symbolizes window resizing for a top border.
    """
    WINDOW_SSIZE: int = 16
    """
    specifies a mouse pointer which symbolizes window resizing for a bottom border.
    """
    WINDOW_WSIZE: int = 17
    """
    specifies a mouse pointer which symbolizes window resizing for a left border.
    """
    WINDOW_ESIZE: int = 18
    """
    specifies a mouse pointer which symbolizes window resizing for a right border.
    """
    WINDOW_NWSIZE: int = 19
    """
    specifies a mouse pointer which symbolizes window resizing for the top-left corner.
    """
    WINDOW_NESIZE: int = 20
    """
    specifies a mouse pointer which symbolizes window resizing for the top-right corner.
    """
    WINDOW_SWSIZE: int = 21
    """
    specifies a mouse pointer which symbolizes window resizing for the bottom-left corner.
    """
    WINDOW_SESIZE: int = 22
    """
    specifies a mouse pointer which symbolizes window resizing for the bottom-right corner.
    """
    HSPLIT: int = 23
    """
    specifies a mouse pointer which symbolizes horizontal splitting.
    """
    VSPLIT: int = 24
    """
    specifies a mouse pointer which symbolizes vertical splitting.
    """
    HSIZEBAR: int = 25
    """
    specifies a mouse pointer which symbolizes horizontal resizing.
    """
    VSIZEBAR: int = 26
    """
    specifies a mouse pointer which symbolizes vertical resizing.
    """
    HAND: int = 27
    """
    specifies a hand symbol as mouse pointer.
    """
    REFHAND: int = 28
    """
    specifies a pointing hand symbol as mouse pointer.
    """
    PEN: int = 29
    """
    specifies a pen symbol as mouse pointer.
    """
    MAGNIFY: int = 30
    """
    specifies a magnify symbol as mouse pointer.
    """
    FILL: int = 31
    """
    specifies a fill symbol as mouse pointer.
    """
    ROTATE: int = 32
    """
    specifies a rotate symbol as mouse pointer.
    """
    HSHEAR: int = 33
    """
    specifies a horizontal shear symbol as mouse pointer.
    """
    VSHEAR: int = 34
    """
    specifies a vertical shear symbol as mouse pointer.
    """
    MIRROR: int = 35
    """
    specifies a mirror symbol as mouse pointer.
    """
    CROOK: int = 36
    """
    specifies a crook symbol as mouse pointer.
    """
    CROP: int = 37
    """
    specifies a crop symbol as mouse pointer.
    """
    MOVEPOINT: int = 38
    """
    specifies a mouse pointer which symbolizes moving a point.
    """
    MOVEBEZIERWEIGHT: int = 39
    """
    specifies a mouse pointer which symbolizes moving a Bezier weight.
    """
    MOVEDATA: int = 40
    """
    specifies a mouse pointer which symbolizes moving data.
    """
    COPYDATA: int = 41
    """
    specifies a mouse pointer which symbolizes copying data.
    """
    LINKDATA: int = 42
    """
    specifies a mouse pointer which symbolizes linking data.
    """
    MOVEDATALINK: int = 43
    """
    specifies a mouse pointer which symbolizes moving a data link.
    """
    COPYDATALINK: int = 44
    """
    specifies a mouse pointer which symbolizes copying a data link.
    """
    MOVEFILE: int = 45
    """
    specifies a mouse pointer which symbolizes moving a file.
    """
    COPYFILE: int = 46
    """
    specifies a mouse pointer which symbolizes copying a file.
    """
    LINKFILE: int = 47
    """
    specifies a mouse pointer which symbolizes linking a file.
    """
    MOVEFILELINK: int = 48
    """
    specifies a mouse pointer which symbolizes moving a file link.
    """
    COPYFILELINK: int = 49
    """
    specifies a mouse pointer which symbolizes copying a file link.
    """
    MOVEFILES: int = 50
    """
    specifies a mouse pointer which symbolizes moving multiple files.
    """
    COPYFILES: int = 51
    """
    specifies a mouse pointer which symbolizes copying multiple files.
    """
    NOTALLOWED: int = 52
    """
    specifies a mouse pointer which symbolizes \"not allowed\".
    """
    DRAW_LINE: int = 53
    """
    specifies a mouse pointer which symbolizes drawing a line.
    """
    DRAW_RECT: int = 54
    """
    specifies a mouse pointer which symbolizes drawing a rectangle.
    """
    DRAW_POLYGON: int = 55
    """
    specifies a mouse pointer which symbolizes drawing a polygon.
    """
    DRAW_BEZIER: int = 56
    """
    specifies a mouse pointer which symbolizes drawing a Bezier.
    """
    DRAW_ARC: int = 57
    """
    specifies a mouse pointer which symbolizes drawing an arc.
    """
    DRAW_PIE: int = 58
    """
    specifies a mouse pointer which symbolizes drawing a pie.
    """
    DRAW_CIRCLECUT: int = 59
    """
    specifies a mouse pointer which symbolizes drawing a circle cut.
    """
    DRAW_ELLIPSE: int = 60
    """
    specifies a mouse pointer which symbolizes drawing an ellipse.
    """
    DRAW_FREEHAND: int = 61
    """
    specifies a mouse pointer which symbolizes drawing free handed.
    """
    DRAW_CONNECT: int = 62
    """
    specifies a mouse pointer which symbolizes drawing a connector.
    """
    DRAW_TEXT: int = 63
    """
    specifies a mouse pointer which symbolizes drawing text.
    """
    DRAW_CAPTION: int = 64
    """
    specifies a mouse pointer which symbolizes drawing a text caption.
    """
    CHART: int = 65
    """
    specifies a mouse pointer which symbolizes a chart.
    """
    DETECTIVE: int = 66
    """
    specifies a mouse pointer which symbolizes a detective.
    """
    PIVOT_COL: int = 67
    """
    specifies a mouse pointer which symbolizes a pivot column.
    """
    PIVOT_ROW: int = 68
    """
    specifies a mouse pointer which symbolizes a pivot row.
    """
    PIVOT_FIELD: int = 69
    """
    specifies a mouse pointer which symbolizes a pivot field.
    """
    CHAIN: int = 70
    """
    specifies a mouse pointer which symbolizes a chain.
    """
    CHAIN_NOTALLOWED: int = 71
    """
    specifies a mouse pointer which symbolizes \"chaining not allowed\".
    """

