# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.chart
# Libre Office Version: 7.4
from __future__ import annotations
from typing import Any
from enum import Enum


class ChartAxisPosition(Enum):
    """
    Enum


    See Also:
        `API ChartAxisPosition <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1chart.html#aa2815fba34da31acb139c7be75fda078>`_
    """

    def __init__(self, value: Any) -> None: ...
    def __repr__(self) -> str: ...
    def __eq__(self, that: Any) -> bool: ...
    def __ne__(self,other: Any) -> bool: ...

    typeName: str = 'com.sun.star.chart.ChartAxisPosition'

    END = ...
    """
    Cross the other axes at their maximum scale value.
    """
    START = ...
    """
    Cross the other axes at their minimum scale value.
    """
    VALUE = ...
    """
    Cross the other axes at the value specified in the property CrossoverValue.
    """
    ZERO = ...
    """
    Cross the other axes at zero.
    
    If zero is not contained in the current scale the value is used which is nearest to zero.
    """

