# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Struct Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.drawing
# Libre Office Version: 7.4
import typing


class Position3D(object):
    """
    Struct Class

    specifies a 3-dimensional point.

    See Also:
        `API Position3D <https://api.libreoffice.org/docs/idl/ref/structcom_1_1sun_1_1star_1_1drawing_1_1Position3D.html>`_
    """
    typeName: str = 'com.sun.star.drawing.Position3D'

    def __init__(self, PositionX: typing.Optional[float] = ..., PositionY: typing.Optional[float] = ..., PositionZ: typing.Optional[float] = ...) -> None:
        """
        Constructor

        Arguments:
            PositionX (float, optional): PositionX value.
            PositionY (float, optional): PositionY value.
            PositionZ (float, optional): PositionZ value.
        """
        ...

    @property
    def PositionX(self) -> float:
        """
        the position on the X-Axis in the 3D room in 100th of millimeters
        """
        ...
    @PositionX.setter
    def PositionX(self, value: float) -> None:
        ...
    @property
    def PositionY(self) -> float:
        """
        the position on the Y-Axis in the 3D room in 100th of millimeters
        """
        ...
    @PositionY.setter
    def PositionY(self, value: float) -> None:
        ...
    @property
    def PositionZ(self) -> float:
        """
        the position on the Z-Axis in the 3D room in 100th of millimeters
        """
        ...
    @PositionZ.setter
    def PositionZ(self, value: float) -> None:
        ...

