# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.frame
import typing


class CommandGroup(object):
    """
    Const

    provides information about a supported command
    
    **since**
    
        OOo 2.0

    See Also:
        `API CommandGroup <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1frame_1_1CommandGroup.html>`_
    """
    INTERNAL: int = 0
    """
    specifies internal commands.
    """
    APPLICATION: int = 1
    """
    specifies application based commands.
    """
    VIEW: int = 2
    """
    specifies view specific commands.
    """
    DOCUMENT: int = 3
    """
    specifies document specific commands.
    """
    EDIT: int = 4
    """
    specifies edit specific commands.
    """
    MACRO: int = 5
    """
    specifies commands used by the built-in Basic.
    """
    OPTIONS: int = 6
    """
    specifies commands to change options.
    """
    MATH: int = 7
    """
    specifies math specific commands.
    """
    NAVIGATOR: int = 8
    """
    specifies navigate commands.
    """
    INSERT: int = 9
    """
    specifies insert commands.
    """
    FORMAT: int = 10
    """
    specifies commands that are related to formats.
    """
    TEMPLATE: int = 11
    """
    specifies commands that are related to templates.
    """
    TEXT: int = 12
    """
    specifies text specific commands.
    """
    FRAME: int = 13
    """
    specifies frame specific commands.
    """
    GRAPHIC: int = 14
    """
    specifies commands that are related to graphical data.
    """
    TABLE: int = 15
    """
    specifies commands that are related to tables.
    """
    ENUMERATION: int = 16
    """
    specifies commands that are related to bullets and numbering.
    """
    DATA: int = 17
    """
    specifies commands that are related to data.
    """
    SPECIAL: int = 18
    """
    specifies special commands.
    """
    IMAGE: int = 19
    """
    specifies commands that are related to images.
    """
    CHART: int = 20
    """
    specifies chart specific commands.
    """
    EXPLORER: int = 21
    """
    specifies explorer specific commands.
    """
    CONNECTOR: int = 22
    """
    specifies commands that are related to connectors.
    """
    MODIFY: int = 23
    """
    specifies commands that are related to modifications.
    """
    DRAWING: int = 24
    """
    specifies commands that are related to drawing.
    """
    CONTROLS: int = 25
    """
    specifies commands that are related to controls.
    """

