# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.i18n
import typing


class CharType(object):
    """
    Const

    Constants to specify the character type that starts a character block.
    
    Character type is Unicode type defined in UnicodeType
    
    Used with XBreakIterator.beginOfCharBlock(), XBreakIterator.endOfCharBlock(), XBreakIterator.nextCharBlock(), XBreakIterator.previousCharBlock()

    See Also:
        `API CharType <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1i18n_1_1CharType.html>`_
    """
    ANY_CHAR: int = 0
    """
    all alpha characters allowed
    """
    UPPERCASE_LETTER: int = 1
    LOWERCASE_LETTER: int = 2
    TITLECASE_LETTER: int = 3
    MODIFIER_LETTER: int = 4
    OTHER_LETTER: int = 5
    NON_SPACING_MARK: int = 6
    ENCLOSING_MARK: int = 7
    COMBINING_SPACING_MARK: int = 8
    DECIMAL_DIGIT_NUMBER: int = 9
    LETTER_NUMBER: int = 10
    OTHER_NUMBER: int = 11
    SPACE_SEPARATOR: int = 12
    LINE_SEPARATOR: int = 13
    PARAGRAPH_SEPARATOR: int = 14
    CONTROL: int = 15
    FORMAT: int = 16
    PRIVATE_USE: int = 17
    SURROGATE: int = 18
    DASH_PUNCTUATION: int = 19
    START_PUNCTUATION: int = 20
    END_PUNCTUATION: int = 21
    CONNECTOR_PUNCTUATION: int = 22
    OTHER_PUNCTUATION: int = 23
    MATH_SYMBOL: int = 24
    CURRENCY_SYMBOL: int = 25
    MODIFIER_SYMBOL: int = 26
    OTHER_SYMBOL: int = 27
    INITIAL_PUNCTUATION: int = 28
    FINAL_PUNCTUATION: int = 29
    GENERAL_TYPES_COUNT: int = 30

