# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.i18n
import typing


class KCharacterType(object):
    """
    Const

    Constants to identify the character type.
    
    Returned by XCharacterClassification.getCharacterType() and XCharacterClassification.getStringType()

    See Also:
        `API KCharacterType <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1i18n_1_1KCharacterType.html>`_
    """
    DIGIT: int = 1
    """
    digit
    """
    UPPER: int = 2
    """
    upper case alpha letter
    """
    LOWER: int = 4
    """
    lower case alpha letter
    """
    TITLE_CASE: int = 8
    """
    title case alpha letter
    """
    ALPHA: int = 14
    """
    any alpha, ALPHA = UPPER | LOWER | TITLE_CASE
    """
    CONTROL: int = 16
    """
    control character
    """
    PRINTABLE: int = 32
    """
    printable character
    """
    BASE_FORM: int = 64
    """
    base form
    """
    LETTER: int = 128
    """
    any UnicodeType...._LETTER.
    
    Note that a LETTER must not necessarily be ALPHA
    """

