# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.i18n
import typing


class ScriptType(object):
    """
    Const

    Constants to specify the script type.
    
    Used with XBreakIterator.beginOfScript(), XBreakIterator.endOfScript(), XBreakIterator.nextScript(), XBreakIterator.previousScript()

    See Also:
        `API ScriptType <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1i18n_1_1ScriptType.html>`_
    """
    LATIN: int = 1
    """
    Latin characters (English, ...)
    """
    ASIAN: int = 2
    """
    Asian characters (Japanese, ...)
    """
    COMPLEX: int = 3
    """
    Complex characters (Arabic, ...)
    """
    WEAK: int = 4
    """
    undefined characters (punctuation, ...)
    """

