# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.report
import typing


class SectionPageBreak(object):
    """
    Const

    Specifies that page breaks are allowed inside this section.

    See Also:
        `API SectionPageBreak <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1report_1_1SectionPageBreak.html>`_
    """
    NONE: int = 0
    """
    Page breaks will never be inserted.
    
    If the section doesn't fit on a page than the content will be cut.
    """
    SECTION: int = 1
    """
    If the section doesn't fit on page than a page break will be inserted as long as the section fits.
    
    Inner sections will doesn't contain further page breaks.
    """
    AUTO: int = 2
    """
    If the section doesn't fit on page than a page break will be inserted as long as the section fits.
    """

