# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Service Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.style
from abc import ABC

class ParagraphPropertiesAsian(ABC):
    """
    Service Class

    contains settings for the style of paragraphs with complex text layout.

    See Also:
        `API ParagraphPropertiesAsian <https://api.libreoffice.org/docs/idl/ref/servicecom_1_1sun_1_1star_1_1style_1_1ParagraphPropertiesAsian.html>`_
    """
    @property
    def ParaIsCharacterDistance(self) -> bool:
        """
        determines if a distance between Asian text, western text or complex text is set.
        """
        ...
    @ParaIsCharacterDistance.setter
    def ParaIsCharacterDistance(self, value: bool) -> None:
        ...
    @property
    def ParaIsForbiddenRules(self) -> bool:
        """
        determines if the rules for forbidden characters at the start or end of text lines are considered.
        """
        ...
    @ParaIsForbiddenRules.setter
    def ParaIsForbiddenRules(self, value: bool) -> None:
        ...
    @property
    def ParaIsHangingPunctuation(self) -> bool:
        """
        determines if hanging punctuation is allowed.
        """
        ...
    @ParaIsHangingPunctuation.setter
    def ParaIsHangingPunctuation(self, value: bool) -> None:
        ...

