# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.text
# Libre Office Version: 7.4
from __future__ import annotations
from typing import Any
from enum import Enum


class WrapTextMode(Enum):
    """
    Enum


    See Also:
        `API WrapTextMode <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1text.html#a1ed96de3f2d76e93588f67d506a0b0ae>`_
    """

    def __init__(self, value: Any) -> None: ...
    def __repr__(self) -> str: ...
    def __eq__(self, that: Any) -> bool: ...
    def __ne__(self,other: Any) -> bool: ...

    typeName: str = 'com.sun.star.text.WrapTextMode'

    DYNAMIC = ...
    """
    text flow depends on the situation.
    
    The text formatting decides the best way.
    """
    LEFT = ...
    """
    the object is left adjusted.
    
    text flows to the left side of the object.
    
    adjusted to the left.
    """
    NONE = ...
    """
    text does not flow around the object.
    """
    PARALLEL = ...
    """
    text flows to the left and right of the object.
    """
    RIGHT = ...
    """
    the object is right adjusted.
    
    text flows to the right side of the object.
    
    adjusted to the right.
    """
    THROUGH = ...
    """
    text flow ignores the object.
    """
    THROUGHT = ...
    """
    text flow ignores the object: errant spelling deprecated in version 5.4
    """

