# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.ucb
import typing


class Error(object):
    """
    Const

    These codes are used to indicate errors.
    
    .. deprecated::
    
        Class is deprecated.

    See Also:
        `API Error <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1ucb_1_1Error.html>`_
    """
    NONE: int = 0
    LOGIN_FAILURE_RECEIVE: int = 122880
    LOGIN_FAILURE_NEWSSEND: int = 122881
    LOGIN_FAILURE_MAILSEND: int = 122882
    CONNECT_FAILURE: int = 122883
    UCB_OFFLINE: int = 122884
    UCB_SERVER_ERROR: int = 122885
    STORAGE_READONLY: int = 122886
    STORAGE_KILLED: int = 122887
    WRONG_FILE_FORMAT: int = 122888
    UNSUPPORTED_URL: int = 122889
    CNTOUT_NO_FROM: int = 122890
    TOO_MANY_GROUPS: int = 122891
    DELETE_ABORTED: int = 122892
    QUERY_DELETE: int = 122893
    NOTAVAILABLE: int = 122894
    VIM_LIBRARY_ERROR: int = 122895
    FOLDER_INVALID: int = 122896
    FTP_RESOLVERERROR: int = 122897
    FTP_NETWORKERROR: int = 122898
    FTP_NOTNECESSARYCMD: int = 122899
    FTP_SERVICEUNAVAILABLE: int = 122900
    FTP_DCONFAILURE: int = 122901
    FTP_TRANSFERABORTED: int = 122902
    NO_VIM_LIBRARY: int = 122903
    VIM_LIBRARY_CORRUPTED: int = 122904
    CCMAIL_EXPORT_ERROR: int = 122905
    NO_CCMAIL_EXPORT_FILE: int = 122906
    ILLEGAL_CCMAIL_EXPORT_FILE: int = 122907
    MESSAGE_NOT_FOUND: int = 122908
    BAD_CCMAIL_EXPORT_PASSWORD: int = 122909
    CCMAIL_EXPORT_TOO_LONG: int = 122910
    FOLDER_EXISTS: int = 122911
    FOLDER_NOT_EXISTS: int = 122912
    NO_VIM_BBOARDLIST: int = 122913
    ILLEGAL_MESSAGE_ID: int = 122914
    SERVER_PORT_SYNTAX: int = 122915
    SERVERNAME_SYNTAX: int = 122916
    USERNAME_SYNTAX: int = 122917
    IS_RESCHEDULED: int = 122918
    VIM_NO_FAKE_MESSAGE_ID: int = 122919
    FSYS_ROOT_DELETE: int = 122920
    FILE_EXISTS: int = 122921
    FILE_NOT_EXISTS: int = 122922
    FSYS_MISPLACED_CHAR: int = 122923
    FSYS_INVALID_CHAR: int = 122924
    FSYS_INVALID_DEVICE: int = 122925
    FSYS_ACCESS_DENIED: int = 122926
    FSYS_LOCK_VIOLATION: int = 122927
    FSYS_VOLUME_FULL: int = 122928
    FSYS_NOT_SUPPORTED: int = 122929
    FSYS_UNKNOWN: int = 122930
    FSYS_NOT_A_FILE: int = 122931
    FSYS_NOT_A_DIRECTORY: int = 122932
    FSYS_IS_WILDCARD: int = 122933
    RENAMED_WRONG_FILE_FORMAT: int = 122934
    FSYS_UPDATE_NEEDED: int = 122935
    FSYS_CANT_RESOLVE_CONFLICT: int = 122936
    FSYS_CANT_ITERATE: int = 122937
    ONE_NOT_SEARCHABLE: int = 122938
    MULTIPLE_NOT_SEARCHABLE: int = 122939
    FSYS_CACHE_INCONSISTENT: int = 122940
    FSYS_READONLY: int = 122941
    FSYS_LOCK: int = 122942
    FSYS_UNLOCK: int = 122943
    FSYS_DELETE: int = 122944
    FSYS_IS_MARKED: int = 122945
    FTP_GENERAL_FAILURE: int = 122946
    DO_LOG: int = 122947
    HTTP_COOKIE_REQUEST: int = 122948
    FSYS_LOST_ROOT: int = 122949
    FTP_PROXY: int = 122950
    SOURCE_SAME_AS_TARGET: int = 122951
    CONFIRM_EMPTY_TRASH: int = 122952
    FSYS_NO_TARGET: int = 122953
    FSYS_RECURSIVE: int = 122954
    FSYS_INSERT_MEDIUM: int = 122955
    NO_DOCINFO: int = 122956
    CCMAIL_EXPORT_NOT_TERMINATING: int = 122957
    EXTERNAL_COMMAND_FAILED: int = 122958
    RENAME_FAILED: int = 122959
    NOT_HANDLED: int = 122960
    COULD_NOT_INIT_COMPONENT: int = 122961
    TRANSFER_URL_NOT_SUPPORTED: int = 122962
    EMPTY_SERVERNAME: int = 122963
    EMPTY_USERNAME: int = 122964
    BAD_INET: int = 122965
    IMAP_SERVER_MSG: int = 122966
    IMAP_CONNECTION_CLOSED: int = 122967
    IMAP_NOT_IMAP4: int = 122968
    IMAP_BAD_SERVER: int = 122969
    REORGANIZE_FILE_LOCKED: int = 122970
    IMAP_BAD_TITLE: int = 122971
    SERVER_CONNECT_FAILURE: int = 122972
    PASSWORD_SYNTAX: int = 122973
    QUERY_DELETE_CACHE: int = 122974
    REORGANIZE_NO_DISKSPACE: int = 122975
    LOGIN_FAILURE_ACCOUNT: int = 122976
    ACCOUNT_SYNTAX: int = 122977

